Bug 112596 - vim error with /usr/share/vim/vim62/syntax/slrnrc.vim
vim error with /usr/share/vim/vim62/syntax/slrnrc.vim
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: vim (Show other bugs)
1
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Karsten Hopp
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-12-23 21:13 EST by eparsons
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-01-12 10:17:13 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description eparsons 2003-12-23 21:13:36 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.5)
Gecko/20031007 Firebird/0.7

Description of problem:
vim .slrnc results in the following error messages:

Error detected while processing /usr/share/vim/vim62/syntax/slrnrc.vim:
line   40:
E399: Not enough arguments: syntax region slrnrcVarIntStr^Icontained
abort_unmodified_edits article_window_page_overlap
auto_mark_article_as_read beep broken_xref cc_followup
check_new_groups color_by_score confirm_actions custom_sort_by_threads
line   41:
E399: Not enough arguments: syntax region slrnrcVarIntStr^Icontained
display_cursor_bar drop_bogus_groups editor_uses_mime_charset
emphasized_text_mask emphasized_text_mode fold_headers
followup_strip_signature force_authentication generate_date_header
generate_email_from
line   42:
E399: Not enough arguments: syntax region slrnrcVarIntStr^Icontained
generate_message_id grouplens_port hide_pgpsignature hide_quotes
hide_signature hide_verbatim_marks highlight_unread_subjects
highlight_urls ignore_signature kill_score
line   43:
E399: Not enough arguments: syntax region slrnrcVarIntStr^Icontained
lines_per_update mail_editor_is_mua max_low_score max_queued_groups
min_high_score mouse netiquette_warnings new_subject_breaks_threads
no_autosave no_backups
line   44:
E399: Not enough arguments: syntax region slrnrcVarIntStr^Icontained
prefer_head process_verbatim_marks query_next_article query_next_group
query_read_group_cutoff read_active reject_long_lines scroll_by_page
show_article show_thread_subject
line   45:
E399: Not enough arguments: syntax region slrnrcVarIntStr^Icontained
simulate_graphic_chars smart_quote sorting_method spoiler_char
spoiler_display_mode spool_check_up_on_nov uncollapse_threads
unsubscribe_new_groups use_blink use_color
line   46:
E399: Not enough arguments: syntax region slrnrcVarIntStr^Icontained
use_flow_control use_grouplens use_header_numbers use_inews
use_localtime use_metamail use_mime use_slrnpull use_tilde use_tmpdir
line   47:
E399: Not enough arguments: syntax region slrnrcVarIntStr^Icontained
use_uudeview warn_followup_to wrap_flags wrap_method write_newsrc_flags
line   50:
E399: Not enough arguments: syntax region slrnrcVarIntStr^Icontained
author_display display_author_realname display_score
group_dsc_start_column process_verbatum_marks prompt_next_group
query_reconnect show_descriptions use_xgtitle
Hit ENTER or type command to continue


Version-Release number of selected component (if applicable):
vim-common-6.2.121-1 vim-minimal-6.2.121-1 vim-enhanced-6.2.121-1

How reproducible:
Always

Steps to Reproduce:
1.vim .slrnc (for any .slrnc file)
2.
3.
    

Expected Results:  no error messages

Additional info:

Note You need to log in before you can comment on or make changes to this bug.